Impossible de lancer une mise à niveau Ubuntu

J’ai eu la mise à niveau de 18.10 vers 19.04 bloquée. Ceci est dû à un paquet non mis à jour et plus proposé à la mise à jour par le gestionnaire de mises à jour.

Ceci est lié à un décochage de sa mise à jour lors d’une précédente mise à jour (par erreur dans mon cas), lorsque le gestionnaire de mise à jour liste les mises à jour disponibles.

Du coup, lorsque le bouton Mise à niveau apparaît dans le gestionnaire de mise à jour, cliquez dessus ne mène à rien.

Pour diagnostiquer le problème, procédez comme suit dans un terminal:
sudo do-release-upgrade

Vous obtenez en retour:

Please install all available updates for your release before upgrading.

Il faut lister les paquets non mis à jour pour forcer leur installation :
apt list --upgradable

Dans mon cas, j’ai obtenu :

calibre/cosmic,cosmic 3.31.0+dfsg-1 all [pouvant être mis à jour depuis : 3.21.0+dfsg-1build1]
N: Il y a une version supplémentaire 1. Veuillez utiliser l’opérande « -a » pour la voir.

Je force sa mise à jour :
sudo apt-get install calibre

Je ferme le terminal et relance le gestionnaire de mise à jour, clique sur le bouton mise à niveau. Et cela fonctionne.

Il faudra bien sûr adapter la mise à niveau de vos paquets selon la liste obtenue.

Vus : 91
Publié par Boutor : 56